# 22. Virtuoso Functions Guide - timezone

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## timezone

get timezone difference from a datetime
timezone (in dt datetime);
Description

timezone takes a datetime and returns an integer containing localtime - GMT in minutes.

Parameters
dt – A datetime.
Return Values

An INTEGER containing the timezone difference.

Examples
Simple example

Get current timezone.

    SQL> select timezone (now ());
    callret
    INTEGER
    _______________________________________________________________________________

    120

See Also

dayname, dayofmonth, dayofweek, dayofyear, quarter, week, month, year, hour, minute, second